Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# PixelConvertibleConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename SrcP, typename DstP>
struct boost::gil::PixelConvertibleConcept< SrcP, DstP >

Pixel convertible concept.

Convertibility is non-symmetric and implies that one pixel can be converted to another, approximating the color. Conversion is explicit and sometimes lossy.

    template <PixelConcept SrcPixel, MutablePixelConcept DstPixel>
    concept PixelConvertibleConcept {
        void color_convert(const SrcPixel&, DstPixel&);
    };

## Public Member Functions

void | constraints ()

## Public Attributes

SrcP | src
DstP | dst

The documentation for this struct was generated from the following file:

- gil_concept.hpp